Open CASCADE Technology: StepFEA_FeaAxis2Placement3d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepFEA_FeaAxis2Placement3d Class Reference

Representation of STEP entity FeaAxis2Placement3d. More...

`#include <StepFEA_FeaAxis2Placement3d.hxx>`

Inheritance diagram for StepFEA_FeaAxis2Placement3d:
[legend]

## Public Member Functions
| StepFEA_FeaAxis2Placement3d ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aRepresentationItem_Name, const Handle< StepGeom_CartesianPoint > &aPlacement_Location, const Standard_Boolean hasAxis2Placement3d_Axis, const Handle< StepGeom_Direction > &aAxis2Placement3d_Axis, const Standard_Boolean hasAxis2Placement3d_RefDirection, const Handle< StepGeom_Direction > &aAxis2Placement3d_RefDirection, const StepFEA_CoordinateSystemType aSystemType, const Handle< TCollection_HAsciiString > &aDescription)
| Initialize all fields (own and inherited) More...
StepFEA_CoordinateSystemType | SystemType () const
| Returns field SystemType. More...
void | SetSystemType (const StepFEA_CoordinateSystemType SystemType)
| Set field SystemType. More...
Handle< TCollection_HAsciiString > | Description () const
| Returns field Description. More...
void | SetDescription (const Handle< TCollection_HAsciiString > &Description)
| Set field Description. More...
Public Member Functions inherited from StepGeom_Axis2Placement3d
| StepGeom_Axis2Placement3d ()
| Returns a Axis2Placement3d. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepGeom_CartesianPoint > &aLocation)
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepGeom_CartesianPoint > &aLocation, const Standard_Boolean hasAaxis, const Handle< StepGeom_Direction > &aAxis, const Standard_Boolean hasArefDirection, const Handle< StepGeom_Direction > &aRefDirection)
void | SetAxis (const Handle< StepGeom_Direction > &aAxis)
void | UnSetAxis ()
Handle< StepGeom_Direction > | Axis () const
Standard_Boolean | HasAxis () const
void | SetRefDirection (const Handle< StepGeom_Direction > &aRefDirection)
void | UnSetRefDirection ()
Handle< StepGeom_Direction > | RefDirection () const
Standard_Boolean | HasRefDirection () const
Public Member Functions inherited from StepGeom_Placement
| StepGeom_Placement ()
| Returns a Placement. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
void | SetLocation (const Handle< StepGeom_CartesianPoint > &aLocation)
Handle< StepGeom_CartesianPoint > | Location () const
Public Member Functions inherited from StepGeom_GeometricRepresentationItem
| StepGeom_GeometricRepresentationItem ()
| Returns a GeometricRepresentationItem. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity FeaAxis2Placement3d.

## Constructor & Destructor Documentation

StepFEA_FeaAxis2Placement3d::StepFEA_FeaAxis2Placement3d | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< TCollection_HAsciiString > StepFEA_FeaAxis2Placement3d::Description | ( |  | ) | const

Returns field Description.

void StepFEA_FeaAxis2Placement3d::Init | ( | const Handle< TCollection_HAsciiString > & | aRepresentationItem_Name,
|  | const Handle< StepGeom_CartesianPoint > & | aPlacement_Location,
|  | const Standard_Boolean | hasAxis2Placement3d_Axis,
|  | const Handle< StepGeom_Direction > & | aAxis2Placement3d_Axis,
|  | const Standard_Boolean | hasAxis2Placement3d_RefDirection,
|  | const Handle< StepGeom_Direction > & | aAxis2Placement3d_RefDirection,
|  | const StepFEA_CoordinateSystemType | aSystemType,
|  | const Handle< TCollection_HAsciiString > & | aDescription
| ) |  |

Initialize all fields (own and inherited)

void StepFEA_FeaAxis2Placement3d::SetDescription | ( | const Handle< TCollection_HAsciiString > & | Description | ) |

Set field Description.

void StepFEA_FeaAxis2Placement3d::SetSystemType | ( | const StepFEA_CoordinateSystemType | SystemType | ) |

Set field SystemType.

StepFEA_CoordinateSystemType StepFEA_FeaAxis2Placement3d::SystemType | ( |  | ) | const

Returns field SystemType.

The documentation for this class was generated from the following file:

- StepFEA_FeaAxis2Placement3d.hxx